%define anolis_release 2

Name:           perl-Text-BibTeX
Version:        0.89
Release:        %{anolis_release}%{?dist}
Summary:        Interface to read and parse BibTeX files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Text-BibTeX
Source0:        https://cpan.metacpan.org/authors/id/A/AM/AMBS/Text-BibTeX-%{version}.tar.gz
Patch001:	0001-add-loongarch64-support-for-Text-BibTeX.patch
BuildRequires:  chrpath
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-interpreter
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(base)
BuildRequires:  perl(Capture::Tiny) >= 0.06
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Config::AutoConf) >= 0.320
BuildRequires:  perl(Cwd)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.27
BuildRequires:  perl(ExtUtils::LibBuilder) >= 0.02
BuildRequires:  perl(ExtUtils::Mkbootstrap)
BuildRequires:  perl(ExtUtils::ParseXS)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Build)
# These don't work?  perl(Scalar::List::Utils), perl(Scalar::Util)
BuildRequires:  perl-Scalar-List-Utils >= 1.42
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Unicode::Normalize)
BuildRequires:  perl(utf8)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  sed
Requires:       perl-Scalar-List-Utils >= 1.42

%description
The Text::BibTeX module processes BibTeX data.  It includes object-oriented
interfaces to both BibTeX database files and individual bibliographic
entries, as well as other miscellaneous functions.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Text-BibTeX-%{version}
chmod a-x scripts/* examples/*
%patch001 -p1

%build
perl Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS" NO_PACKLIST=1 NO_PERLLOCAL=1
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT/*
chrpath -d $RPM_BUILD_ROOT%{_bindir}/*

%generate_compatibility_deps

%check
./Build test

%files
%dir %{abidir}
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Text*
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/*
%{_libdir}/*.so
%{_includedir}/btparse.h
%{abidir}/BibTeX.dump
%{abidir}/biblex-option.list
%{abidir}/bibparse-option.list
%{abidir}/libbtparse.dump

%files doc
%doc Changes examples README README.OLD scripts THANKS btool_faq.pod

%changelog
* Tue Oct 10 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 0.89-2
- add loongarch64 support for perl-Text-BibTeX

* Wed Feb 15 2023 happy_orange <songnannan@linux.alibaba.com> - 0.89-1
- package import to anolis23
